﻿-- PgCon14 Working with Network Data
-- James Hanson
-- 030_USIPGeo
-- Look at USIPGeo data

-- look at the IP Geo data
SELECT *
FROM us_ipgeo
LIMIT 100;

-- look at the Apache log data
SELECT *
FROM apache_log
LIMIT 100;

-- See if there are any IPs in the US IPGeo data
WITH uq_apache_ip AS (
  SELECT
    count(*) num_requests,
    max(time) most_recent,
    requesting_ip
  FROM apache_log
  GROUP BY requesting_ip)
SELECT
  ui.*,
  uai.*
FROM us_ipgeo ui
  INNER JOIN uq_apache_ip uai ON ui.ip = uai.requesting_ip
ORDER BY most_recent DESC;
